{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to deletes a specific list.**\n\nOptionally, you can also delete contacts associated to the list. The query parameter, `delete_contacts=true`, will delete the list and start an asynchronous job to delete associated contacts.","properties":{"path":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the list on which you want to perform the operation."}},"required":["id"],"additionalProperties":false},"query":{"type":"object","properties":{"delete_contacts":{"type":"boolean","default":false,"description":"Flag indicates that all contacts on the list are also to be deleted."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Delete a list","id":"sendgrid.mc_lists.deletemarketinglist","example":{"path":{"id":"example"}},"maxRequests":1,"summary":false}}